Create a new db note

Request Information

URI Parameters :

None.

Body Parameters :

db_notes
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_table_id

Table Id db notes linked to

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

db_table_name

Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name

string

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id on the given table on which db note linked to

globally unique identifier

Required

user_id

Created User ID

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating a db_notes

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating a db_notes

user

Optionally required : user_id, user_code or user must be provided

date_add

Date Added. is on the local user time.

date
dateutc_add

Date Added. Auto-filled by NOW if empty

date
notes

Notes

string

Required

reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "ae6d3108-9723-43af-b13e-0f7e236b574c",
  "db_table_id": "21379a63-09a4-4ede-b955-0bb90de63679",
  "db_table_name": "sample string 3",
  "id_in_table": "06d545eb-bde0-4361-902a-86acc6887843",
  "user_id": "286a5a51-b107-45c1-b9ed-e9c6c9a3ba37",
  "user_code": "sample string 6",
  "date_add": "2026-04-13T20:07:33.5906822+00:00",
  "dateutc_add": "2026-04-13T20:07:33.5906822+00:00",
  "notes": "sample string 9",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-04-13T20:07:33.5906822+00:00"
}

Response Information

Resource Description :

IHttpActionResult

db_notes
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_table_id

Table Id db notes linked to

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

db_table_name

Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name

string

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id on the given table on which db note linked to

globally unique identifier

Required

user_id

Created User ID

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating a db_notes

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating a db_notes

user

Optionally required : user_id, user_code or user must be provided

date_add

Date Added. is on the local user time.

date
dateutc_add

Date Added. Auto-filled by NOW if empty

date
notes

Notes

string

Required

reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e3deefd3-2592-40a0-9845-6999046a5974",
  "db_table_id": "66c318ac-2694-4f73-8e2e-31fc05a69fc5",
  "db_table_name": "sample string 3",
  "id_in_table": "ff2ba0b3-b7e4-4945-8241-e0e1b5832385",
  "user_id": "ca0e7248-32bb-4ee9-b746-b45bd391bd0a",
  "user_code": "sample string 6",
  "date_add": "2026-04-13T20:07:33.5906822+00:00",
  "dateutc_add": "2026-04-13T20:07:33.5906822+00:00",
  "notes": "sample string 9",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-04-13T20:07:33.5906822+00:00"
}